ov_tree_map_.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type >
class | __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CONST_NODE_ITERATOR_NAME
#define | PB_DS_OV_TREE_NAME
#define | PB_DS_OV_TREE_TRAITS_BASE

## Variables

template<typename Key, typename Mapped, typename Cmp_Fn, typename Node_And_It_Traits, typename _Alloc>
ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::metadata_allocator | __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::s_metadata_alloc
template<typename Key, typename Mapped, typename Cmp_Fn, typename Node_And_It_Traits, typename _Alloc>
ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::value_allocator | __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::s_value_alloc

## Detailed Description

Contains an implementation class for ov_tree.

Definition in file ov_tree_map_.hpp.

## Macro Definition Documentation

## PB_DS_CLASS_C_DEC

#define PB_DS_CLASS_C_DEC

Definition at line 77 of file ov_tree_map_.hpp.

## PB_DS_CLASS_T_DEC

#define PB_DS_CLASS_T_DEC

Definition at line 73 of file ov_tree_map_.hpp.

## PB_DS_CONST_NODE_ITERATOR_NAME

#define PB_DS_CONST_NODE_ITERATOR_NAME

Definition at line 65 of file ov_tree_map_.hpp.

## PB_DS_OV_TREE_NAME

#define PB_DS_OV_TREE_NAME

Definition at line 64 of file ov_tree_map_.hpp.

## PB_DS_OV_TREE_TRAITS_BASE

#define PB_DS_OV_TREE_TRAITS_BASE

Definition at line 80 of file ov_tree_map_.hpp.

## Variable Documentation

## ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::s_metadata_alloc

template<typename Key, typename Mapped, typename Cmp_Fn, typename Node_And_It_Traits, typename _Alloc>

ov_tree_map<Key,Mapped,Cmp_Fn,Node_And_It_Traits,_Alloc>::metadata_allocator __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::s_metadata_alloc

Definition at line 50 of file ov_tree_map_.hpp.

## ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::s_value_alloc

template<typename Key, typename Mapped, typename Cmp_Fn, typename Node_And_It_Traits, typename _Alloc>

ov_tree_map<Key,Mapped,Cmp_Fn,Node_And_It_Traits,_Alloc>::value_allocator __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::s_value_alloc

Definition at line 46 of file ov_tree_map_.hpp.